import type { ColDef, GridOptions } from '@ag-grid-community/core';
import { GridProGenesisDatasource, ZeroGridPro } from '@genesislcap/foundation-zero-grid-pro';
import { FASTElement } from '@microsoft/fast-element';
import { DatasourceConfiguration } from '../entities/entities';
export declare class List extends FASTElement {
    resourceName: string;
    title: string;
    persistColumnStateKey: string;
    sizeColumnsToFit: boolean;
    enableFilterBar: boolean;
    asyncAdd: boolean;
    asyncRemove: boolean;
    asyncUpdate: boolean;
    enableCellFlashing: boolean;
    enableRowFlashing: boolean;
    hideEdit: boolean;
    hideDelete: boolean;
    grid: ZeroGridPro;
    datasource: GridProGenesisDatasource;
    gridOptions: GridOptions;
    columns: ColDef[];
    datasourceConfig: DatasourceConfiguration;
    actionButtonsConfig: any[];
    deleteEvent: string;
    updateEvent: string;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private handleFilterChanged;
    private handleFilterCleared;
    private select;
    private edit;
    delete(e: any): Promise<void>;
}
//# sourceMappingURL=list.d.ts.map